Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.workarea
Interface WorkContext

All Known Subinterfaces:
  PrimitiveWorkContext

All Known Implementing Classes:
  AsciiWorkContext, LongWorkContext, SerializableWorkContext, StringWorkContext

public interface WorkContext

`WorkContext` is a marker interface used for marshaling and unmarshaling user data in a `WorkArea`. The interfaces `WorkContextOutput` and `WorkContextInput` will only allow primtive types and objects implementing `WorkContext` to be marshaled. This limits the type surface area that needs to be dealt with by underlying protocols. `WorkContext` is analogous to `Externalizable` but with some restrictions on the types that can be marshaled. Advanced `Externalizable` features, such as enveloping, are not supported - implementations should provide their own versioning scheme if necessary. `WorkContext` implementations must provide a public no-arg constructor.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `readContext(WorkContextInput in)` Reads the implementation of `WorkContext` from the `WorkContextInput` data stream.
`void` | `writeContext(WorkContextOutput out)` Writes the implementation of `WorkContext` to the `WorkContextOutput` data stream.

Method Detail

### readContext

    public void readContext(WorkContextInput in)
                     throws IOException

  Reads the implementation of `WorkContext` from the `WorkContextInput` data stream.

  Throws:
    `IOException`

### writeContext

    public void writeContext(WorkContextOutput out)
                      throws IOException

  Writes the implementation of `WorkContext` to the `WorkContextOutput` data stream.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD